- Legion API
- Meta
- Get combined OpenAPI specification
Get combined OpenAPI specification
GET
/v3/openapi.json
const url = 'https://api.hopper.west.prod.govcloud.legion.picogrid.com/v3/openapi.json';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.hopper.west.prod.govcloud.legion.picogrid.com/v3/openapi.jsonReturns the combined OpenAPI document for the Legion platform HTTP API, including this operation. The live document may list only the deployed server URL.
Responses
Section titled “Responses”OpenAPI 3.1 JSON document
OpenAPI 3.1 document describing this API (combined spec).
object
Examplegenerated
{}OpenAPI 3.1 document describing this API (combined spec).
object
Examplegenerated
{}Headers
Section titled “Headers”Cache-Control
string
Caching policy for this response.
ETag
string
Entity tag for conditional requests (If-None-Match).
Not modified (If-None-Match matched the current document ETag).
Headers
Section titled “Headers”Cache-Control
string
Caching policy for this response.
ETag
string
Entity tag for conditional requests (If-None-Match).
Version 3.14.0 · commit 0771262
